{-------------------------------------------------------------------------------
Delphi Save And Restore
Copyright (C) 2009-2010 ouiouioui contact@toutenvrac.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-------------------------------------------------------------------------------}
Unit SelectRegKey;

Interface

Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, JvExComCtrls, JvRegistryTreeView;

Type
  TfmSelectRegKey = Class(TForm)
    JvRegistryTreeView: TJvRegistryTreeView;
    btCancel:           TButton;
    btOk:               TButton;
    eKeyToSave:         TEdit;
    Label1:             TLabel;
    Procedure btCancelClick(Sender: TObject);
    Procedure btOkClick(Sender: TObject);
    Procedure JvRegistryTreeViewChange(Sender: TObject; Node: TTreeNode);
  Private
    { Dclarations prives }
  Public
    { Dclarations publiques }
  End;

Var
  fmSelectRegKey: TfmSelectRegKey;

Implementation

{$R *.dfm}

Procedure TfmSelectRegKey.btCancelClick(Sender: TObject);
Begin
  ModalResult := mrCancel;
End;

Procedure TfmSelectRegKey.btOkClick(Sender: TObject);
Begin
  ModalResult := mrOk;
End;

Procedure TfmSelectRegKey.JvRegistryTreeViewChange(Sender: TObject;
  Node: TTreeNode);
Begin
  If Length(JvRegistryTreeView.CurrentPath) > 16 Then
    eKeyToSave.Text := Copy(JvRegistryTreeView.CurrentPath, 18)
  Else
    eKeyToSave.Text := '';
End;

End.
